/*This example demonstrates how to merge
the two files using SequenceInputStream*/

import java.io.InputStream;
import java.io.FileInputStream;
import java.io.SequenceInputStream;
import java.io.IOException;

public class SequenceInputStreamExample
{
  public static void main(String args[])
   {
      InputStream is = null;
      InputStream is1 = null;
      try
         {
            is = new FileInputStream("read.txt");
            is1 = new FileInputStream("read1.txt");
            SequenceInputStream sis = new SequenceInputStream(is, is1);
            int c;
            System.out.println();
            while((c = sis.read()) != -1)
             {
                System.out.print((char)c);
             }
           System.out.println();
         }
      catch(IOException ioe)
         {
            System.out.println(ioe);
         }
      finally
         {
            if(is != null)
            {
               try
	    {
	        is.close();
	    }
               catch(Exception e)
	    {
	        System.out.print(e);
	    }
            }
          if(is1 != null)
            {
               try
	    {
	        is1.close();
	    }
               catch(Exception e1)
	    {
	        System.out.print(e1);
	    }
            }   
        }// end finally
   }// end main
}// end class